org.apache.lucene.luke.app.desktop.util

## Class ExceptionHandler

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.ExceptionHandler

-     public final class ExceptionHandler
      extends Object

  An utility class for handling exception

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionHandler()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `handle(Throwable t, MessageBroker messageBroker)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionHandler

          public ExceptionHandler()

  - ### Method Detail

    - #### handle

          public static void handle(Throwable t,
                                    MessageBroker messageBroker)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.